Loading...
Searching...
No Matches
Catch::LazyExpression Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::LazyExpression:
[legend]

## Public Member Functions

constexpr | LazyExpression (bool isNegated)
constexpr | LazyExpression (LazyExpression const &other)=default
LazyExpression & | operator= (LazyExpression const &)=delete
constexpr | operator bool () const

## Private Attributes

ITransientExpression const * | m_transientExpression = nullptr
bool | m_isNegated

## Friends

class | AssertionHandler
struct | AssertionStats
class | RunContext
auto | operator<< (std::ostream &os, LazyExpression const &lazyExpr) -> std::ostream &

## Constructor & Destructor Documentation

## LazyExpression() [1/2]

Catch::LazyExpression::LazyExpression | ( | bool | isNegated | ) |

inlineconstexpr

Here is the caller graph for this function:

## LazyExpression() [2/2]

Catch::LazyExpression::LazyExpression | ( | LazyExpression const & | other | ) |

constexprdefault

Here is the call graph for this function:

## Member Function Documentation

## operator bool()

Catch::LazyExpression::operator bool | ( |  | ) | const

inlineexplicitconstexpr

## operator=()

LazyExpression & Catch::LazyExpression::operator= | ( | LazyExpression const & |  | ) |

delete

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## AssertionHandler

friend class AssertionHandler

friend

## AssertionStats

friend struct AssertionStats

friend

## operator<<

auto operator<< | ( | std::ostream & | os,
|  | LazyExpression const & | lazyExpr ) -> std::ostream&

friend

## RunContext

friend class RunContext

friend

## Member Data Documentation

## m_isNegated

bool Catch::LazyExpression::m_isNegated

private

## m_transientExpression

ITransientExpression const* Catch::LazyExpression::m_transientExpression = nullptr

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp